Documentation Index
Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt
Use this file to discover all available pages before exploring further.
Producer は私たちが曲に関連するWAVファイルをダウンロードすることを許可します。本ドキュメントでは関連APIの接続方法を説明します。
このAPIには1つの入力パラメータしかなく、それは audio_id です。これは曲の唯一のIDです。
ここで入力する audio_id は a54609c6-13e2-4176-be0f-4d7eebc68e1f で、Producerが生成した曲のIDです。
curl -X POST 'https://api.xhuoapi.ai/v1/producer/wav' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
"audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
結果は以下の通りです:
{
"success": true,
"task_id": "44963173-b6c5-463c-915f-96730d14ec63",
"trace_id": "f75d6a27-54bc-49fd-a40e-6d4cd0427764",
"data": [
{
"title": "Woke up with the sun in my eyes",
"file_url": "https://cdn.ttapi.io/other/2025-12-30/a1508051-a6b8-4867-8cbb-32273a99c2ae.wav"
}
]
}
見ることができるように、data の file_url フィールドがダウンロードのWAVリンクです。